Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events.cbe
Interface MsgCatalogToken

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, java.io.Serializable

All Known Implementing Classes:
  MsgCatalogTokenImpl

public interface MsgCatalogToken
extends org.eclipse.emf.ecore.EObject, java.io.Serializable

A representation of the model object 'Msg Catalog Token'.

A string used as substitution value for resolving an internationalized message into formatted text.

Since:
  1.0.1

  The following features are supported:

  - `Value`
Version:
  1.0.1
Author:
  Denilson Nastacio
See Also:
  `EventPackage.getMsgCatalogToken()`

Method Summary
`java.lang.String` | `getValue()` Returns the value of the 'Value' attribute.
`void` | `init()` Resets the object's properties to their initial (e.g. null) state.
`void` | `setValue(java.lang.String value)` Sets the value of the '`Value`' attribute
`void` | `validate()` Checks whether the contents of the instance conform to the CBE specification.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getValue

    public java.lang.String getValue()

  Returns the value of the 'Value' attribute.

  Returns:
    the value of the 'Value' attribute.
  See Also:
    `setValue(String)`, `EventPackage.getMsgCatalogToken_Value()`

### setValue

    public void setValue(java.lang.String value)

  Sets the value of the '`Value`' attribute.

  The string length for value must not exceed 256 characters.

  Parameters:
    `value` - the new value of the 'Value' attribute.
  See Also:
    `getValue()`

### validate

    public void validate()
                  throws ValidationException

  Checks whether the contents of the instance conform to the CBE specification.

  Throws:
    `ValidationException` - if the message catalog token does not follow the CBE specification.

### init

    public void init()

  Resets the object's properties to their initial (e.g. null) state. All components are initialized to either zero or null.

  Since:
    1.0

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD